## GogAxisLine GogAxisLine |

## Functions

double | gog_axis_base_get_cross_location ()
GogAxis * | gog_axis_base_get_crossed_axis ()
unsigned | gog_axis_line_get_ticks ()

## Properties

guint | cross-axis-id | Read / Write
gboolean | major-tick-in | Read / Write
gboolean | major-tick-labeled | Read / Write
gboolean | major-tick-out | Read / Write
gint | major-tick-size-pts | Read / Write
gboolean | minor-tick-in | Read / Write
gboolean | minor-tick-out | Read / Write
gint | minor-tick-size-pts | Read / Write
gint | padding-pts | Read / Write
guint | pos | Read / Write
gchar * | pos-str | Read / Write
gchar * | assigned-format-string-XL | Read / Write

## Types and Values

| GogAxisBase
| GogAxisLine
enum | GogAxisPosition
enum | GogAxisTickTypes

## Object Hierarchy

        GObject
        ╰── GogObject
            ╰── GogStyledObject
                ├── GogAxisBase
                │   ╰── GogAxisLine
                ╰── GogAxisBase
                    ├── GogAxis
                    ╰── GogAxisLine

## Implemented Interfaces

GogAxisBase implements GOStyledObject.

GogAxisLine implements GOStyledObject and GogDataset.

## Description

## Functions

### gog_axis_base_get_cross_location ()

    double
    gog_axis_base_get_cross_location (GogAxisBase *axis_base);

#### Returns

### gog_axis_base_get_crossed_axis ()

    GogAxis *
    gog_axis_base_get_crossed_axis (GogAxisBase *axis_base);

#### Parameters

axis_base | GogAxisBase |

#### Returns

returns the crossing axis in a 2D chart if set.

[transfer none]

### gog_axis_line_get_ticks ()

    unsigned
    gog_axis_line_get_ticks (GogAxisLine *axis_line,
                             GogAxisTick **ticks);

#### Returns

## Types and Values

### GogAxisBase

    typedef struct _GogAxisBase GogAxisBase;

### GogAxisLine

    typedef struct _GogAxisLine GogAxisLine;

### enum GogAxisPosition

#### Members

GOG_AXIS_AT_LOW | crosses the other axis at low values. |
GOG_AXIS_CROSS | crosses the other axis at a given value. |
GOG_AXIS_AT_HIGH | crosses the other axis at high values. |
GOG_AXIS_AUTO | crosses at an automatically determined position. |

### enum GogAxisTickTypes

#### Members

GOG_AXIS_TICK_NONE | no tick, should not occur. |
GOG_AXIS_TICK_MAJOR | major tick. |
GOG_AXIS_TICK_MINOR | minor tick. |

## Property Details

### The `“cross-axis-id”` property

      “cross-axis-id”            guint

Which axis to cross.

Flags: Read / Write

Default value: 0

### The `“major-tick-in”` property

      “major-tick-in”            gboolean

Major tick marks inside the chart area.

Flags: Read / Write

Default value: FALSE

### The `“major-tick-labeled”` property

      “major-tick-labeled”       gboolean

Show labels for major ticks.

Flags: Read / Write

Default value: TRUE

### The `“major-tick-out”` property

      “major-tick-out”           gboolean

Major tick marks outside the chart area.

Flags: Read / Write

Default value: TRUE

### The `“major-tick-size-pts”` property

      “major-tick-size-pts”      gint

Size of the major tick marks, in points.

Flags: Read / Write

Allowed values: [0,20]

Default value: 4

### The `“minor-tick-in”` property

      “minor-tick-in”            gboolean

Minor tick marks inside the chart area.

Flags: Read / Write

Default value: FALSE

### The `“minor-tick-out”` property

      “minor-tick-out”           gboolean

Minor tick marks outside the axis.

Flags: Read / Write

Default value: FALSE

### The `“minor-tick-size-pts”` property

      “minor-tick-size-pts”      gint

Size of the minor tick marks, in points.

Flags: Read / Write

Allowed values: [0,15]

Default value: 2

### The `“padding-pts”` property

      “padding-pts”              gint

Distance from axis line to plot area, in points.

Flags: Read / Write

Allowed values: >= -2147483647

Default value: 0

### The `“pos”` property

      “pos”                      guint

Where to position an axis low, high, or crossing.

Flags: Read / Write

Allowed values: <= 2

Default value: 0

### The `“pos-str”` property

      “pos-str”                  gchar *

Where to position an axis low, high, or crossing.

Flags: Read / Write

Default value: "auto"

### The `“assigned-format-string-XL”` property

      “assigned-format-string-XL” gchar *

The user assigned format to use for non-discrete axis labels (XL format).

Flags: Read / Write

Default value: "General"